Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83815 - need ability to create software RAID1 arrays with only 1 member
Summary: need ability to create software RAID1 arrays with only 1 member
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-09 08:38 UTC by hvv
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-11 17:42:52 UTC


Attachments (Terms of Use)

Description hvv 2003-02-09 08:38:46 UTC
Description of problem:

Currently anaconda enforces RAID1 arrays to have at least 2 members. This is
unreasonable since it disallows to e.g. install system only on 1 hdd, and then
add the 2nd to the system and turn it into the raid1 arrays' member (by editing
/etc/raidtab, adding partitions of the 2nd hdd as failed-disk, then remaking
raid arrays with mkraid and then hotadd'ing partitions of the 2nd HDD to the
raid arrays).
.
I had to hack installer and burn cusom disk1 to be able to make RAID1 arrays
with only 1 member in order to be able to install system on only one hdd.

FYI mandrake installer does allow to have only 1 member of raid1 array (and did
allow this for agaes AFAIK).

Comment 1 Jeremy Katz 2003-02-10 20:07:14 UTC
This isn't something we're planning to support currently. 

Comment 2 hvv 2003-02-11 10:09:51 UTC
Why then close this bug with WONTFIX?
May be set a resolution to DEFFERED in order not to forget to implement
it later?
Reopened.

Comment 3 Michael Fulbright 2003-02-11 17:42:52 UTC
We do not plan to support this mode of RAID creation.


Note You need to log in before you can comment on or make changes to this bug.